Ce Forum passera en lecture seule en janvier 2020
Image
Merci de vous rendre sur https://community.jeedom.com maintenant pour vos prochains postes ;)

[Plugin Officiel][Sujet Principal] Harmony Hub

Pour échanger sur les plugins classés en catégorie "Multimédia"
FVI59
Timide
Messages : 26
Inscription : 14 oct. 2017, 08:36
Localisation : Nord

Re: [Plugin Officiel][Sujet Principal] Harmony Hub

Message par FVI59 » 30 déc. 2018, 18:44

tomdom a écrit :
30 déc. 2018, 18:05
Bonjour,
Il y a un problème avec ton installation. La commande aurait dû te renvoyer

Code : Tout sélectionner

pip3: /usr/bin/pip3 /usr/share/man/man1/pip3.1.gz
Fait la commande suivante :

Code : Tout sélectionner

sudo apt install --reinstall python3-pip

Re-bonjour et un grand merci à toi !
Mon problème est entièrement résolu :D

Après avoir forcé la réinstallation de python3-pip à l'aide de ta commande, le résultat obtenu avec la commande whereis pip3 était ensuite conforme à ce qui était attendu.
sudo apt install --reinstall python3-pip

Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances
Lecture des informations d'état... Fait
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
bluealsa fontconfig-infinality fonts-piboto gstreamer0.10-alsa gstreamer0.10-plugins-base gtk2-engines-clearlookspix libgstreamer-plugins-base0.10-0 libgstreamer0.10-0 libxfce4util-bin
libxfce4util-common libxfce4util7 libxfconf-0-2 lxkeymap lxplug-bluetooth lxplug-ejecter lxplug-network lxplug-ptbatt lxplug-volume pi-greeter pimixer pipanel pishutdown point-rpi python-cairo
python-gtk2 python-xklavier rpd-plym-splash rpd-wallpaper xfconf
Veuillez utiliser « sudo apt autoremove » pour les supprimer.
0 mis à jour, 0 nouvellement installés, 1 réinstallés, 0 à enlever et 114 non mis à jour.
Il est nécessaire de prendre 0 o/142 ko dans les archives.
Après cette opération, 0 o d'espace disque supplémentaires seront utilisés.
(Lecture de la base de données... 137794 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../python3-pip_9.0.1-2+rpt2_all.deb ...
Dépaquetage de python3-pip (9.0.1-2+rpt2) sur (9.0.1-2+rpt2) ...
Paramétrage de python3-pip (9.0.1-2+rpt2) ...
Traitement des actions différées (« triggers ») pour man-db (2.7.6.1-2) ...

sudo whereis pip3
pip3: /usr/bin/pip3 /usr/share/man/man1/pip3.1.gz

Puis le simple fait d'accéder au plugin Harmony Hub a déclenché automatiquement la relance des dépendances qui a duré plus longtemps que les fois précédentes et qui a fini par aboutir à un magnifique OK.

Et pour terminer, j'ai ensuite testé avec succès l'allumage de ma télévision et le changement de chaînes via mon Dashboard, ainsi qu'au travers de ma Sony LF-S50G (Google Home). Tout fonctionne désormais à nouveau parfaitement !

Encore merci à toi tomdom pour ton efficacité.

A+

Idaho947
Actif
Messages : 1281
Inscription : 30 mai 2017, 21:36

Re: [Plugin Officiel][Sujet Principal] Harmony Hub

Message par Idaho947 » 31 déc. 2018, 18:33

Bonjour,
J'ai un soucis avvec ce plug in. J'ai tout mis a jour pit, strech, jeedom, harmony, plug-in. Quand je récupère ma config, rien ne se passe. Il m'en récupère 0. Il me trouve aucun périphérique.
Quequ'un aurait une idée ?

J'ai rien du tout dans les log.

EDIT : Ok boulet, j'oubliais de sauvegarder l'IP....

PeterKalel
Timide
Messages : 75
Inscription : 01 mars 2015, 20:11

Re: [Plugin Officiel][Sujet Principal] Harmony Hub

Message par PeterKalel » 02 janv. 2019, 12:50

Bonjour

Est ce normal que ma version de python soit 2.7.9 ?

J'ai beau faire la commande sudo apt install python3-pip elle ne va pas plus loin.

Merci

Idaho947
Actif
Messages : 1281
Inscription : 30 mai 2017, 21:36

Re: [Plugin Officiel][Sujet Principal] Harmony Hub

Message par Idaho947 » 02 janv. 2019, 13:47

Oui parce que tu lui demande d'installer pas de mettre a jour

PeterKalel
Timide
Messages : 75
Inscription : 01 mars 2015, 20:11

Re: [Plugin Officiel][Sujet Principal] Harmony Hub

Message par PeterKalel » 02 janv. 2019, 14:06

Je viens de faire cette manip et je suis toujours au même point.

sudo apt-get install libssl-dev openssl
wget https://www.python.org/ftp/python/3.x.x ... -3.x.x.tgz
tar xzvf Python-3.x.x.tgz
cd Python-3.x.x
./configure
make
sudo make install

Avatar de l’utilisateur
snorlax
Timide
Messages : 202
Inscription : 01 févr. 2016, 15:16

Re: [Plugin Officiel][Sujet Principal] Harmony Hub

Message par snorlax » 02 janv. 2019, 14:51

Tu as remplacé 3.x.x par quoi ?

PeterKalel
Timide
Messages : 75
Inscription : 01 mars 2015, 20:11

Re: [Plugin Officiel][Sujet Principal] Harmony Hub

Message par PeterKalel » 02 janv. 2019, 20:06

J'ai mis 3.6.7

jbval
Timide
Messages : 409
Inscription : 12 août 2014, 11:48

Re: [Plugin Officiel][Sujet Principal] Harmony Hub

Message par jbval » 02 janv. 2019, 22:00

Bonsoir,

j'ai aussi fait la mise à jour de mon côté (sans erreur ni lors de l'installation des dépendences), par contre lors du refresh des activités/dispositifs, j'ai ça et plus rien de reconnu :
[2019-01-02 21:56:26][ALERT] : ########Recherche de la config en cours########[2019-01-02 21:56:27][ALERT] : ######### Dispositifs trouvés 192.168.1.38[2019-01-02 21:56:27][ALERT] : ######### Activités trouvées 192.168.1.38[2019-01-02 21:56:27][ALERT] : #### Fin de la recherche 192.168.1.38

Je ne trouve plus aucun dispositif ni aucune activité.
L'ip est bonne, le plugin a la version de fin décembre. Le hub et la télécommande sont en version 4.15.206
Dans les logs, je ne vois aucune erreur.
Jeedom Mini & Rfxcom
Zwave/X10/Mysensor/Chacon DI-O/CurrentCost Envir/Netatmo

Idaho947
Actif
Messages : 1281
Inscription : 30 mai 2017, 21:36

Re: [Plugin Officiel][Sujet Principal] Harmony Hub

Message par Idaho947 » 03 janv. 2019, 07:56

Tu tape ton ip, tu sauvegarde et tu fais le scan. C'est bien ça

jbval
Timide
Messages : 409
Inscription : 12 août 2014, 11:48

Re: [Plugin Officiel][Sujet Principal] Harmony Hub

Message par jbval » 03 janv. 2019, 08:11

Oui c'est bien ça. L'ip sur laquelle il lance la recherche est bonne d'ailleurs.
Jeedom Mini & Rfxcom
Zwave/X10/Mysensor/Chacon DI-O/CurrentCost Envir/Netatmo

tchirou
Timide
Messages : 206
Inscription : 17 sept. 2016, 12:40

Re: [Plugin Officiel][Sujet Principal] Harmony Hub

Message par tchirou » 03 janv. 2019, 08:22

Si c’est Jessie, il ne faut pas faire les maj si j’ai bien compris

jbval
Timide
Messages : 409
Inscription : 12 août 2014, 11:48

Re: [Plugin Officiel][Sujet Principal] Harmony Hub

Message par jbval » 03 janv. 2019, 08:48

Jeedom est bien sur un rpi sur jessie oui.
Pas critique tant pis, j'attendrais la prochaine update du coup si ça ne fonctionne pas sur jessie pour la version actuelle.
Jeedom Mini & Rfxcom
Zwave/X10/Mysensor/Chacon DI-O/CurrentCost Envir/Netatmo

Rabieau
Timide
Messages : 119
Inscription : 24 déc. 2016, 10:15

Re: [Plugin Officiel][Sujet Principal] Harmony Hub

Message par Rabieau » 03 janv. 2019, 09:51

eldoctor62 a écrit :
21 déc. 2018, 22:52
Le_Poilu a écrit :
21 déc. 2018, 21:17
Pour mettre à jour ton python:
remplacer 3.x.x par la version de python que tu souhaites, moi je suis parti sur la 3.6.7 (dernière 3.6 avant 3.7)

Code : Tout sélectionner

sudo apt-get install libssl-dev openssl
wget https://www.python.org/ftp/python/3.x.x/Python-3.x.x.tgz
tar xzvf Python-3.x.x.tgz
cd Python-3.x.x
./configure
make
sudo make install
Merci ;)

Je teste ca !
Bonjour,
Je viens de tester ça, mais toujours le même résultat.
Tapes tu les commandes une par une ou tu as fais un copier/coller du tout (en changeant bien sûr les x par la version voulue).
Merci

toat__
Timide
Messages : 8
Inscription : 03 janv. 2019, 13:12

Re: [Plugin Officiel][Sujet Principal] Harmony Hub

Message par toat__ » 03 janv. 2019, 13:15

Bonjour,

J'ai eu le même problème suite à la mise à jour du firmware et du plugin.

Essaye :

Code : Tout sélectionner

pip3 install --upgrade aiohttp
Si cela ne fonctionne pas, tu peux activer le debug dans le plugin harmony et retrouver le script python.

Cela doit ressembler à :

Code : Tout sélectionner

/usr/bin/python3 /var/www/html/plugins/harmonyhub/core/class/../../3rdparty/PyHarmony/harmony/__main__.py --harmony_ip X.Y.Z.W show_current_activity
Essaye de le lancer en ssh directement.

Rabieau
Timide
Messages : 119
Inscription : 24 déc. 2016, 10:15

Re: [Plugin Officiel][Sujet Principal] Harmony Hub

Message par Rabieau » 03 janv. 2019, 13:32

Toujours rien, j’ai essayé l’upgrade qui n’a rien donné, le script python me renvoie une erreur de syntaxe :

Traceback (most recent call last):
File "/var/www/html/plugins/harmonyhub/core/class/../../3rdparty/PyHarmony/harmony/__main__.py", line 10, in
import client as harmony_client
File "/var/www/html/plugins/harmonyhub/3rdparty/PyHarmony/harmony/client.py", line 85
async def retrieve_hub_info(self):
^
SyntaxError: invalid syntax

toat__
Timide
Messages : 8
Inscription : 03 janv. 2019, 13:12

Re: [Plugin Officiel][Sujet Principal] Harmony Hub

Message par toat__ » 03 janv. 2019, 13:37

Peux tu donner la ligne de commande que tu exécutes ?

Rabieau
Timide
Messages : 119
Inscription : 24 déc. 2016, 10:15

Re: [Plugin Officiel][Sujet Principal] Harmony Hub

Message par Rabieau » 03 janv. 2019, 14:01

toat__ a écrit :
03 janv. 2019, 13:37
Peux tu donner la ligne de commande que tu exécutes ?
Je pense que le problème c’est que j’ai juste taper le script mais pas écrit de commande !!
Que dois-je mettre exactement ?
Pour la tentative d’upgrade aiohttp j’ai fait ce que tu as dit mais message d’erreur que je ne retrouve plus dans les logs.
Pour le reste j’ai juste tapé le chemin que tu as donné et j’ai alors :
Traceback (most recent call last):
File "/var/www/html/plugins/harmonyhub/core/class/../../3rdparty/PyHarmony/harmony/__main__.py", line 10, in
import client as harmony_client
File "/var/www/html/plugins/harmonyhub/3rdparty/PyHarmony/harmony/client.py", line 85
async def retrieve_hub_info(self):
^
SyntaxError: invalid syntax

C’est ce que je retrouve dans les logs http.error
Dernière édition par Rabieau le 03 janv. 2019, 14:18, édité 1 fois.

toat__
Timide
Messages : 8
Inscription : 03 janv. 2019, 13:12

Re: [Plugin Officiel][Sujet Principal] Harmony Hub

Message par toat__ » 03 janv. 2019, 14:18

C'est dans les logs Harmonyhub en debug. J'ai ce genre de message :

Code : Tout sélectionner

[DEBUG] : Execution de :sudo /usr/bin/python3 /var/www/html/plugins/harmonyhub/core/class/../../3rdparty/PyHarmony/harmony/__main__.py --harmony_ip X.Y.Z.W show_current_activity
Tu te log en ssh et tu lance la commande depuis l'utilisateur root :

Code : Tout sélectionner

/usr/bin/python3 /var/www/html/plugins/harmonyhub/core/class/../../3rdparty/PyHarmony/harmony/__main__.py --harmony_ip X.Y.Z.W show_current_activity
Change X.Y.Z.W par l'IP de ton hub harmony.

Peux tu me dire aussi ce que te retourne :

Code : Tout sélectionner

pip3 install --upgrade asyncio
J'ai l'impression que c'est un problème de dépendance.

Rabieau
Timide
Messages : 119
Inscription : 24 déc. 2016, 10:15

Re: [Plugin Officiel][Sujet Principal] Harmony Hub

Message par Rabieau » 03 janv. 2019, 14:22

En ssh en mettant l’ip à la place de xyzw : j’ai ca :
Traceback (most recent call last):
File "/var/www/html/plugins/harmonyhub/core/class/../../3rdparty/PyHarmony/harmony/__main__.py", line 10, in
import client as harmony_client
File "/var/www/html/plugins/harmonyhub/3rdparty/PyHarmony/harmony/client.py", line 85
async def retrieve_hub_info(self):
^
SyntaxError: invalid syntax

Pour asyncio j’ai :
Requirement already up-to-date: asyncio in /usr/local/lib/python3.4/dist-packages
Cleaning up...

Rabieau
Timide
Messages : 119
Inscription : 24 déc. 2016, 10:15

Re: [Plugin Officiel][Sujet Principal] Harmony Hub

Message par Rabieau » 03 janv. 2019, 14:27

Pour les dépendances ca donne ça :
********************************************************
* Installation des dépendances *
********************************************************
Hit http://repo.jeedom.com stable InRelease
Ign http://ftp.debian.org jessie InRelease
Hit http://ftp.debian.org jessie-updates InRelease
Hit http://ftp.debian.org jessie-backports InRelease
Hit http://ftp.debian.org jessie-proposed-updates InRelease
Hit http://security.debian.org jessie/updates InRelease
Hit http://repo.jeedom.com stable/main arm64 Packages
Hit http://ftp.debian.org jessie Release.gpg
Hit http://ftp.debian.org jessie-updates/contrib Sources
Ign http://repo.jeedom.com stable/main Translation-en
Get:1 http://ftp.debian.org jessie-updates/main arm64 Packages/DiffIndex [11.8 kB]
Get:2 http://security.debian.org jessie/updates/main Sources [281 kB]
Hit http://ftp.debian.org jessie-updates/contrib arm64 Packages
Hit http://security.debian.org jessie/updates/contrib Sources
Get:3 http://ftp.debian.org jessie-updates/non-free arm64 Packages/DiffIndex [736 B]
Get:4 http://security.debian.org jessie/updates/non-free Sources [1627 B]
Hit http://ftp.debian.org jessie-updates/contrib Translation-en
Get:5 http://ftp.debian.org jessie-updates/main Translation-en/DiffIndex [3688 B]
Get:6 http://ftp.debian.org jessie-updates/non-free Translation-en/DiffIndex [736 B]
Get:7 http://ftp.debian.org jessie-backports/main Sources/DiffIndex [27.8 kB]
Hit http://oph.mdrjr.net all InRelease
Hit http://oph.mdrjr.net jessie InRelease
Get:8 http://ftp.debian.org jessie-backports/contrib Sources/DiffIndex [27.8 kB]
Get:9 http://ftp.debian.org jessie-backports/non-free Sources/DiffIndex [26.0 kB]
Get:10 http://oph.mdrjr.net all/c2 arm64 Packages
Get:11 http://ftp.debian.org jessie-backports/main arm64 Packages/DiffIndex [27.8 kB]
Get:12 http://oph.mdrjr.net all/main arm64 Packages
Get:13 http://ftp.debian.org jessie-backports/contrib arm64 Packages/DiffIndex [23.9 kB]
Get:14 http://ftp.debian.org jessie-backports/non-free arm64 Packages/DiffIndex [8530 B]
Hit http://oph.mdrjr.net all/c2 arm64 Packages
Hit http://oph.mdrjr.net all/main arm64 Packages
Get:15 http://ftp.debian.org jessie-backports/contrib Translation-en/DiffIndex [7960 B]
Get:16 http://oph.mdrjr.net all/testing arm64 Packages
Get:17 http://ftp.debian.org jessie-backports/main Translation-en/DiffIndex [27.8 kB]
Get:18 http://ftp.debian.org jessie-backports/non-free Translation-en/DiffIndex [19.1 kB]
Get:19 http://oph.mdrjr.net all/c2 Translation-en [321 B]
Hit http://ftp.debian.org jessie Release
Hit http://ftp.debian.org jessie-updates/main Sources
Get:20 http://oph.mdrjr.net all/main Translation-en [323 B]
Get:21 http://ftp.debian.org jessie-proposed-updates/contrib Sources/DiffIndex [7762 B]
Get:22 http://oph.mdrjr.net all/testing Translation-en [326 B]
Get:23 http://ftp.debian.org jessie-proposed-updates/non-free Sources/DiffIndex [18.0 kB]
Get:24 http://ftp.debian.org jessie-proposed-updates/main Sources/DiffIndex [27.8 kB]
Get:25 http://oph.mdrjr.net jessie/backports arm64 Packages
Hit http://oph.mdrjr.net all/testing arm64 Packages
Get:26 http://ftp.debian.org jessie-proposed-updates/contrib arm64 Packages/DiffIndex [4948 B]
Get:27 http://ftp.debian.org jessie-proposed-updates/non-free arm64 Packages/DiffIndex [8254 B]
Get:28 http://oph.mdrjr.net jessie/main arm64 Packages
Get:29 http://ftp.debian.org jessie-proposed-updates/main arm64 Packages/DiffIndex [27.8 kB]
Get:30 http://oph.mdrjr.net jessie/backports Translation-en [331 B]
Get:31 http://ftp.debian.org jessie-proposed-updates/contrib Translation-en/DiffIndex [8392 B]
Get:32 http://oph.mdrjr.net jessie/main Translation-en [326 B]
Get:33 http://ftp.debian.org jessie-proposed-updates/main Translation-en/DiffIndex [27.8 kB]
Get:34 http://oph.mdrjr.net all/c2 Translation-en [321 B]
Get:35 http://ftp.debian.org jessie-proposed-updates/non-free Translation-en/DiffIndex [18.0 kB]
Hit http://oph.mdrjr.net jessie/backports arm64 Packages
Hit http://ftp.debian.org jessie-updates/non-free Sources
Get:36 http://oph.mdrjr.net all/main Translation-en [323 B]
Get:37 http://oph.mdrjr.net all/testing Translation-en [326 B]
Hit http://oph.mdrjr.net jessie/main arm64 Packages
Get:38 http://oph.mdrjr.net jessie/backports Translation-en [331 B]
Get:39 http://oph.mdrjr.net jessie/main Translation-en [326 B]
Get:40 http://oph.mdrjr.net all/c2 Translation-en [321 B]
Get:41 http://oph.mdrjr.net all/main Translation-en [323 B]
Hit http://ftp.debian.org jessie/main Sources
Hit http://ftp.debian.org jessie/contrib Sources
Get:42 http://oph.mdrjr.net all/testing Translation-en [326 B]
Hit http://ftp.debian.org jessie/non-free Sources
Hit http://ftp.debian.org jessie/main arm64 Packages
Get:43 http://oph.mdrjr.net jessie/backports Translation-en [331 B]
Hit http://ftp.debian.org jessie/contrib arm64 Packages
Hit http://ftp.debian.org jessie/non-free arm64 Packages
Get:44 http://oph.mdrjr.net jessie/main Translation-en [326 B]
Hit http://ftp.debian.org jessie/contrib Translation-en
Hit http://ftp.debian.org jessie/main Translation-en
Get:45 http://oph.mdrjr.net all/c2 Translation-en [321 B]
Hit http://ftp.debian.org jessie/non-free Translation-en
Get:46 http://oph.mdrjr.net all/main Translation-en [323 B]
Get:47 http://oph.mdrjr.net all/testing Translation-en [326 B]
Get:48 http://oph.mdrjr.net jessie/backports Translation-en [331 B]
Get:49 http://oph.mdrjr.net jessie/main Translation-en [326 B]
Get:50 http://oph.mdrjr.net all/c2 Translation-en [321 B]
Ign http://oph.mdrjr.net all/c2 Translation-en
Get:51 http://oph.mdrjr.net all/main Translation-en [323 B]
Ign http://oph.mdrjr.net all/main Translation-en
Get:52 http://oph.mdrjr.net all/testing Translation-en [326 B]
Ign http://oph.mdrjr.net all/testing Translation-en
Get:53 http://oph.mdrjr.net jessie/backports Translation-en [331 B]
Ign http://oph.mdrjr.net jessie/backports Translation-en
Get:54 http://oph.mdrjr.net jessie/main Translation-en [326 B]
Ign http://oph.mdrjr.net jessie/main Translation-en
Fetched 363 kB in 8s (41.0 kB/s)
W: Failed to fetch http://security.debian.org/dists/jessie ... /InRelease Unable to find expected entry 'main/binary-arm64/Packages' in Release file (Wrong sources.list entry or malformed file)
E: Some index files failed to download. They have been ignored, or old ones used instead.
Reading package lists...
Building dependency tree...
Reading state information...
python3-pip is already the newest version.
python3-setuptools is already the newest version.
python3-dev is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 148 not upgraded.
Requirement already satisfied (use --upgrade to upgrade): requests in /usr/lib/python3/dist-packages
Cleaning up...
Requirement already satisfied (use --upgrade to upgrade): asyncio in /usr/local/lib/python3.4/dist-packages
Cleaning up...
Requirement already satisfied (use --upgrade to upgrade): websockets in /usr/local/lib/python3.4/dist-packages
Cleaning up...
Downloading/unpacking aiohttp
Running setup.py (path:/tmp/pip-build-5688qkju/aiohttp/setup.py) egg_info for package aiohttp
Traceback (most recent call last):
File "<string>", line 17, in <module>
File "/tmp/pip-build-5688qkju/aiohttp/setup.py", line 13, in <module>
raise RuntimeError("aiohttp 3.x requires Python 3.5.3+")
RuntimeError: aiohttp 3.x requires Python 3.5.3+
Complete output from command python setup.py egg_info:
Traceback (most recent call last):
File "<string>", line 17, in <module>
File "/tmp/pip-build-5688qkju/aiohttp/setup.py", line 13, in <module>
raise RuntimeError("aiohttp 3.x requires Python 3.5.3+")
RuntimeError: aiohttp 3.x requires Python 3.5.3+
----------------------------------------
Cleaning up...
Command python setup.py egg_info failed with error code 1 in /tmp/pip-build-5688qkju/aiohttp
Storing debug log for failure in /root/.pip/pip.log
********************************************************
* Installation terminée *
********************************************************

Répondre

Revenir vers « [Catégorie] Multimédia »

Qui est en ligne ?

Utilisateurs parcourant ce forum : Aucun utilisateur inscrit et 1 invité